% Contents

% Main functions
% SPAL.m : is the main function of the Sparse Projection-based Adaptive Learning toolbox
% SPALOPTIONS.m : constructs a structure array with fields the parameters needed in the SPAL function
% APWL1.m : Function that is called from SPAL and performs Adaptive projection-based algorithm using weighted $\ell_1$ balls (see [1])
% APL1.m : Function that is called from SPAL and performs Adaptive projection-based algorithm using $\ell_1$ balls (see [1])

% Examples
% examples.m : Basic examples
% results_reproduction.m : Reproduces some of the performance curves of [1]

%auxiliary functions
% l1weightedprj.m :   Computes the projection onto the weighted l1 ball
% l1prj.m :   Computes the projection onto the l1 ball
% checkparamok.m : Checks if the parameters provided to SPAL are valid 
% DISPROG Display progression of a loop. ( provided under the terms of the
% GNU General Public License in the TFTB -- Time-Frequency toolbox
% http://tftb.nongnu.org/ )



% REFERENCES
%
%[1] Y. Kopsinis, K. Slavakis, S. Theodoridis, "Online Sparse System Identification and Signal Reconstruction Using
%Projections Onto Weighted $ell_{1}$ Balls," Signal Processing, IEEE Transactions on , vol.59, no.3, pp.936-952, March 2011
%doi: 10.1109/TSP.2010.2090874


 % 10/02/2011